New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Database version and code version don't match #15

Closed
InfernoZeus opened this Issue Feb 28, 2012 · 5 comments

Comments

Projects
None yet
4 participants
@InfernoZeus

InfernoZeus commented Feb 28, 2012

When installing from the latest version, you get the following message the first time you access index.php:

Database version 1 and code version 1.04 don't match, and no auto-update script is available for this version. Please wait while the admin runs update.sql

I fixed the issue by applying all of the updates past version 1.0, but I assume that the install.sql is meant to include all the database changes up to the latest version.

@InfernoZeus

This comment has been minimized.

Show comment
Hide comment
@InfernoZeus

InfernoZeus Feb 28, 2012

I've dumped my database with all the updates here, if it's any help: https://gist.github.com/1929447

InfernoZeus commented Feb 28, 2012

I've dumped my database with all the updates here, if it's any help: https://gist.github.com/1929447

@kestasjk

This comment has been minimized.

Show comment
Hide comment
@kestasjk

kestasjk Apr 13, 2013

Owner

Thanks for that, I really need to create a new stable package with a database you can install from.

Owner

kestasjk commented Apr 13, 2013

Thanks for that, I really need to create a new stable package with a database you can install from.

alexintour referenced this issue in alexintour/webDiplo Jul 5, 2013

Merge pull request #15 from alexintour/mod-it
corretto errore pag varianti
@jimbursch

This comment has been minimized.

Show comment
Hide comment
@jimbursch

jimbursch commented Aug 28, 2014

Here is a dump of the database with updates to v1.35:
https://gist.github.com/jimbursch/56f683852143e3321811#file-install_v135-sql

@TimothyJones

This comment has been minimized.

Show comment
Hide comment
@TimothyJones

TimothyJones Nov 17, 2014

Collaborator

Thanks Jim.

This is a documentation fix (to add the instructions for updating) and a DB script update (to make it one script to update). Both changes are in pending pull requests. I'll accept the pull requests once we've updated the repo to match the current site code, then this issue can be closed.

Collaborator

TimothyJones commented Nov 17, 2014

Thanks Jim.

This is a documentation fix (to add the instructions for updating) and a DB script update (to make it one script to update). Both changes are in pending pull requests. I'll accept the pull requests once we've updated the repo to match the current site code, then this issue can be closed.

@TimothyJones

This comment has been minimized.

Show comment
Hide comment
@TimothyJones

TimothyJones Dec 5, 2014

Collaborator

Documentation updated.

Collaborator

TimothyJones commented Dec 5, 2014

Documentation updated.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment